## ros-eloquent-compressed-image-transport 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(compressed_image_transport)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(image_transport REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

find_package(OpenCV REQUIRED)

include_directories(include ${OpenCV_INCLUDE_DIRS})

add_library(
  ${PROJECT_NAME}
  SHARED
  src/compressed_publisher.cpp
  src/compressed_subscriber.cpp
  src/manifest.cpp
)

target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})

ament_target_dependencies(${PROJECT_NAME}
  "image_transport"
  "cv_bridge"
  "rclcpp"
  "pluginlib"
  "sensor_msgs"
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  DIRECTORY "include/"
  DESTINATION include
)
pluginlib_export_plugin_description_file(image_transport compressed_plugins.xml)

ament_package()

=== debian/changelog ===
ros-eloquent-compressed-image-transport (2.2.1-1bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-compressed-image-transport (2.2.0-1bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 27 Sep 2019 05:00:00 -0000

ros-eloquent-compressed-image-transport (2.1.0-1bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 23 Aug 2019 05:00:00 -0000

ros-eloquent-compressed-image-transport (2.0.0-1bionic) bionic; urgency=high

  * Pointer api updates (#31 <https://github.com/ros-perception/image_transport_plugins/issues/31>)
  * Update compressed_image_transport to ros2 (#26 <https://github.com/ros-perception/image_transport_plugins/issues/26>)
  * Contributors: Michael Carroll, Jose Luis Rivero

 -- David Gossow <dgossow@willowgarage.com>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-compressed-image-transport (1.9.5-1bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Mon, 03 Oct 2016 05:00:00 -0000

ros-eloquent-compressed-image-transport (1.9.4-1bionic) bionic; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- David Gossow <dgossow@willowgarage.com>  Sun, 02 Oct 2016 05:00:00 -0000

ros-eloquent-compressed-image-transport (1.9.3-1bionic) bionic; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-eloquent-compressed-image-transport (1.9.2-1bionic) bionic; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 25 Apr 2015 05:00:00 -0000

ros-eloquent-compressed-image-transport (1.9.1-1bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jul 2014 05:00:00 -0000

ros-eloquent-compressed-image-transport (1.9.0-1bionic) bionic; urgency=high



 -- David Gossow <dgossow@willowgarage.com>  Fri, 16 May 2014 05:00:00 -0000

ros-eloquent-compressed-image-transport (1.8.21-1bionic) bionic; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- David Gossow <dgossow@willowgarage.com>  Thu, 27 Jun 2013 05:00:00 -0000

ros-eloquent-compressed-image-transport (1.8.20-1bionic) bionic; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Mon, 18 Mar 2013 05:00:00 -0000

ros-eloquent-compressed-image-transport (1.8.19-1bionic) bionic; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Sun, 24 Feb 2013 06:00:00 -0000

ros-eloquent-compressed-image-transport (1.8.18-1bionic) bionic; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Thu, 07 Feb 2013 23:59:00 -0000

ros-eloquent-compressed-image-transport (1.8.17-1bionic) bionic; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Fri, 18 Jan 2013 06:00:00 -0000

ros-eloquent-compressed-image-transport (1.8.16-1bionic) bionic; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Thu, 17 Jan 2013 06:00:00 -0000

ros-eloquent-compressed-image-transport (1.8.15-1bionic) bionic; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 02:11:00 -0000

ros-eloquent-compressed-image-transport (1.8.14-1bionic) bionic; urgency=high

  * fix the bad xml naming
  * Contributors: Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 02:02:00 -0000

ros-eloquent-compressed-image-transport (1.8.13-1bionic) bionic; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- David Gossow <dgossow@willowgarage.com>  Sat, 29 Dec 2012 01:06:00 -0000

ros-eloquent-compressed-image-transport (1.8.12-1bionic) bionic; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Thu, 20 Dec 2012 01:30:00 -0000

ros-eloquent-compressed-image-transport (1.8.11-1bionic) bionic; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 23:17:00 -0000

ros-eloquent-compressed-image-transport (1.8.10-1bionic) bionic; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 23:03:00 -0000

ros-eloquent-compressed-image-transport (1.8.9-1bionic) bionic; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl

 -- David Gossow <dgossow@willowgarage.com>  Wed, 19 Dec 2012 06:26:00 -0000

ros-eloquent-compressed-image-transport (1.8.8-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-eloquent-compressed-image-transport
Section: misc
Priority: optional
Maintainer: David Gossow <dgossow@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-cv-bridge, ros-eloquent-image-transport, ros-eloquent-ros-workspace
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-eloquent-compressed-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-cv-bridge, ros-eloquent-image-transport, ros-eloquent-ros-workspace
Description: Compressed_image_transport provides a plugin to image_transport for transparently sending images encoded as JPEG or PNG.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-compressed-image-transport//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
